Skip to content
Start here

Grant permission to indicator feed

client.intel.indicatorFeeds.permissions.create(PermissionCreateParams { account_id, account_tag, feed_id } params, RequestOptionsoptions?): PermissionCreateResponse { success }
PUT/accounts/{account_id}/intel/indicator-feeds/permissions/add

Grants access permissions for a custom threat indicator feed to other accounts.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: PermissionCreateParams { account_id, account_tag, feed_id }
account_id: string

Path param: Identifier

maxLength32
account_tag?: string

Body param: The Cloudflare account tag of the account to change permissions on

feed_id?: number

Body param: The ID of the feed to add/remove permissions on

ReturnsExpand Collapse
PermissionCreateResponse { success }
success?: boolean

Whether the update succeeded or not

Grant permission to indicator feed

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const permission = await client.intel.indicatorFeeds.permissions.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(permission.success);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "success": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "success": true
  }
}